<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
		<html>
<!-- av-134 -->
			<head>
				<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
			</head>
			<body background="images/bg.gif" style="margin:0">
				<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/bg.gif">
  <tr>
    <td height="58" colspan="2" align="center" background="images/top_bg.gif">
	<table height="58"  border="0" cellspacing="0" cellpadding="0">
	<tr>


<xsl:call-template name="TOP-MENU"/>

</tr>


    </table></td>
  </tr>
  <tr>
    <td width="268" height="100%" valign="top" style="background:url(images/header_bg.jpg) repeat-x;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="145" align="center"><table width="220" height="100" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="center" style="padding:10px;"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></td>
          </tr>
          <tr>
            <td align="center" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/> </td>
          </tr>
          <tr>
            <td align="center" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> </td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" align="right" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="49" rowspan="3" valign="top"><table width="49" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="113"><img name="" src="" width="1" height="100" alt=""/></td>
              </tr>
              <tr>
                <td height="100%" class="left_line"><img name="" src="" width="49" height="1" alt=""/></td>
              </tr>
            </table></td>
            <td width="218" height="100%" valign="top" bgcolor="#363636"><table width="218" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
              <tr>
                <td height="207" align="center" valign="top" style="padding-top:20px;padding-bottom:27px;">
				<table width="163"  border="0" cellspacing="0" cellpadding="0">
				
				
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>


                </table>
				</td>
              </tr>
            </table
			></td>
          </tr>
          <tr>
            <td bgcolor="#363636"></td>
          </tr>
          <tr>
            <td height="20" bgcolor="#FFFFFF"></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td height="100%" valign="top" style="background:url(images/header_bg.jpg) repeat-x;">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="258" style="background:url(images/header.jpg); background-position: right; background-repeat: no-repeat;"> </td>
      </tr>
      <tr>
        <td height="100%" valign="top" style="padding:27px;" class="right_line">
		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="55"><table border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes" /> </td>
                  <td width="40" align="center"><img src="images/title_point.gif" width="17" height="17" /> </td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td height="100%" valign="top" class="pageContent" name="SB_stretch"><!-- CONTENT -->
                <xsl:apply-templates select="PAGE-CONTENT" />
                <!-- END CONTENT -->
            </td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="58" align="right" valign="top" background="images/bot_bg.gif"><table width="218" height="58" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <td width="218" height="58" align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table></td>
    <td height="100%" background="images/bot_bg.gif"><xsl:call-template name="BOTTOM-MENU" /></td>
  </tr>
</table>
			</body>
		</html>
	</xsl:template>
	<!--TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
	<!--SUB-MENU-->
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID" />
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub" />
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID" />
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub" />
			</xsl:when>
			<xsl:otherwise>
				<!-- no op --></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--BOTTOM-MENU-->
	<xsl:template name="BOTTOM-MENU">
		<table height="58" border="0" align="center" cellpadding="0" cellspacing="0">
			<tr>
				<xsl:apply-templates select="MENU" mode="bottom" />
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="bottom">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td align="center">
					<a href="{@HREF}" class="amenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td align="center">
					<span href="{@HREF}" class="amenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</span>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td align="center">
					<a href="{@HREF}" class="menu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="31" valign="middle" align="center">
				<img src="images/bot_button.gif" width="8" height="8" />
			</td>
		</xsl:if>
	</xsl:template>
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content">
				<xsl:value-of select="." disable-output-escaping="yes"/>
			</xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
</xsl:stylesheet>
