<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-214 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="background-image:url(images/page_bj.gif)" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div align="center">
<table width="100%" height="100%" style="background-image:url(images/page_bj.gif) "><tr><td width="100%" height="100%" style="padding-left:100px;padding-right:100px;">
  <table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td><br/><div align="center">
                <table  border="0" align="center" cellpadding="0" cellspacing="0">
                  <xsl:call-template name="TOP-MENU"/>
              </table>
            </div><br/></td>
          </tr>
          <tr>
              <td align="left" valign="top">
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="234" align="left" valign="top">
				<table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="6"><img src="images/page_logo_area_bjimage_1.gif" width="6" height="224"/></td>
                <td valign="middle" background="images/page_logo_area_bjimage_2.jpg"><div align="center">
                    <table width="220" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td height="10"></td>
                      </tr>
                      <tr>
                        <td style="padding-bottom:5px;"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                      </tr>
                      <tr> </tr>
                      <tr>
                        <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                      </tr>
                      <tr>
                        <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                      </tr>
                    </table>
                </div></td>
                <td width="6"><img src="images/page_logo_area_bjimage_3.gif" width="6" height="224"/></td>
              </tr>
            </table>
                <img src="images/left_thin_line.gif" width="234" height="30"/>
                <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="10"></td>
                    <td align="left"><table width="200" border="0" align="left" cellpadding="0" cellspacing="0">
                      <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
                <td width="100%" align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="224" align="right" valign="bottom" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right top; ">
 <table cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <td class="text-header" style="padding-top:3px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td class="iconfoot"><img src="images/main_icon.gif" width="17" height="17"/></td>
                </tr>
            </table>
	</td>
                  </tr>
                </table>
                  <img src="images/left_thin_line.gif" width="546" height="30"/>
				    <table width="100%"  border="0" cellspacing="0" cellpadding="0" style="background-image:url(images/title_thin_line_2.gif);background-position:left top;background-repeat:repeat-y;">
                      <tr>
                        <td height="210" align="left" valign="top">
					    <table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr>
  <td class="pageContent" name="SB_stretch">
	  <xsl:apply-templates select="PAGE-CONTENT"/>
  </td>
  </tr>
  </table></td>
                      </tr>
                </table></td></tr>
            </table></td>
          </tr>
          <tr>
            <td height="10"></td>
          </tr>
          <tr>
            <td></td>
          </tr>
          <tr>
            <td><div align="center">
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="6"><img src="images/buttom_bjimage_1.gif" width="14" height="59"/></td>
                    <td background="images/buttom_bjimage_2.gif">
					<table  border="0" align="center" cellpadding="0" cellspacing="0">
                     <xsl:call-template name="BOTTOM-MENU"/>
                    </table></td>
                    <td width="6"><img src="images/buttom_bjimage_3.gif" width="19" height="59"/></td>
                  </tr>
                </table>
              </div></td>
          </tr>
          <tr>
            <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
  </table>
</td></tr></table>
</div>
</body>
<!--end-->
</html>
</xsl:template>
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		 <xsl:when test="@ID=/LAYOUT/@ID">
		   <tr width="202">
             <td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
             <td class="icon"><img src="images/left_icon.gif" width="6" height="5"/></td>
           </tr>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		   <tr width="202">
                  <td class="submenu"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  <td class="icon"><img src="images/left_icon.gif" width="6" height="5"/></td>
           </tr>
		  </xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
           <tr>
             <td colspan="2"><table width="100%" height="7" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="1" height="20"><img src="images/left_thin_line_1.gif" width="1" height="7"/></td>
                        <td width="100%"><img src="images/left_thin_line_2.gif" width="100%" height="7"/></td>
                        <td width="4"><img src="images/left_thin_line_1.gif" width="1" height="7"/></td>
                      </tr>
                  </table>
		      </td>
           </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		   <td class="iconfoot"><img src="images/buttom_icon.gif" width="7" height="5"/></td>
           <td class="bmenu"><a href="{@HREF}" class="bmenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       </xsl:when>
           <!-- when active-->
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		   <td class="iconfoot"><img src="images/buttom_icon.gif" width="7" height="5"/></td>
           <td class="bmenu"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
       </xsl:when>
       <xsl:otherwise>
	       <td class="iconfoot"><img src="images/buttom_icon.gif" width="7" height="5"/></td>
           <td class="bmenu"><a href="{@HREF}" class="bmenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
  	   <xsl:if test="position()!=last()">
           <td  width="7" align="center"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td height="1" background="images/buttom_line_1.gif"></td>
                          </tr>
                          <tr>
                            <td background="images/buttom_line_2.gif"><img src="images/buttom_line_2.gif" width="7" height="30"/></td>
                          </tr>
                          <tr>
                            <td height="1" background="images/buttom_line_1.gif"></td>
                          </tr>
                        </table></td>
  	   </xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
     	
</xsl:stylesheet>
