<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-223 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/main_bg.gif">
  <tr>
    <td height="265" align="center" style="padding-left:20px;padding-right:20px;">
	<table width="100%" height="265" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/header_bg2.gif');background-position: bottom;background-repeat: repeat-x;">
      <tr>
        <td style="padding-left:3px;padding-right:3px;padding-bottom:3px;">
		<table width="100%" height="265" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/header_leftbg.jpg');background-position: bottom;background-repeat: repeat-x;">
          <tr>
            <td>
			<table width="100%" height="265" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/header.jpg');background-position: right bottom;background-repeat: no-repeat;">
              <tr>
                <td>
				<table width="100%" height="263" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="244" align="left" valign="top" style="padding-left:25px;">
					<table width="220" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                      <tr>
                        <td style="padding-left:4px;padding-right:4px;padding-bottom:4px;padding-top:0px;">
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td align="center" style="padding-bottom:15px;padding-top:15px;padding-left:10px;padding-right:10px;background-image: url('images/logo_bg.gif');"><!-- LOGO -->
  <table cellpadding="0" cellspacing="0">
    <tr>
      <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
                          </tr>
    <tr>
      <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
                          </tr>
    <tr>
      <td align="center" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
                          </tr>
  </table>
  <!-- END LOGO --></td>
                          </tr>
                        </table></td>
                      </tr>
                    </table></td>
                    <td align="center" valign="top"><!-- MENU -->
                      <table height="50" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <xsl:call-template name="TOP-MENU"/>
                        </tr>
                    </table><!-- END MENU --><div style="height:204px;width:px;"></div></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td align="center" valign="top" width="100%" height="100%"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="100%" height="100%" valign="top" style="padding-left:20px;padding-right:20px;">
<br/>
	<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="265" align="center" valign="top" ><div style="height:35px;width:260px;"></div>
            <!-- SUBMENU -->
            <table cellpadding="0" cellspacing="0" width="190">
             <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table>
          <!-- END SUBMENU -->
            <div style="height:35px;width:200px;"></div></td>
        <td width="7" valign="top" style="background-image: url('images/line1.gif');background-repeat: repeat-y;"><img src="images/menu_bullet.gif"/></td>
        <td valign="top" width="100%" height="100%" style="padding: 25px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td width="100%" height="100%" name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT -->
</td>
      </tr>
    </table></td>
  </tr>
</table>
</td>
  </tr>
<tr><td height="7" style="padding-left:20px;padding-right:20px;">
<table height="7" width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="7"><img src="images/menu_bullet.gif" width="7" height="7" /></td>
    <td width="253" background="images/line2.gif"><img src="images/spacer.gif" width="253" height="7" /></td>
    <td width="7"><img src="images/menu_bullet.gif" width="7" height="7" /></td>
    <td width="100%" background="images/line2.gif"></td>
    <td width="7"><img src="images/menu_bullet.gif" width="7" height="7" /></td>
  </tr>
</table>
</td>
</tr>
  <tr>
    <td align="center" width="100%" height="40" style="padding:20px;">
	<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
	  </table>
						<!-- END BOOTTOM MENU -->
						<div style="width:780px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</div>
	<!-- END FOOTER --></td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td align="left" class="submenutable"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td align="left"><div style="height:25px;width:14px;"></div></td>
</tr>
<tr>
<td height="7" colspan="2"><img src="images/sunmenu_bullet.gif"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td align="left" class="submenutable"><a href='{@HREF}'  class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="14" align="left"><div style="height:25px;width:14px;"></div></td>
</tr>
<tr>
<td height="7" colspan="2"><img src="images/sunmenu_bullet.gif"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td valign="middle" class="iconfoot"><img src="images/botmenu_bullet.gif" alt="" /></td>
<td valign="middle"><a href='{@HREF}'  class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td valign="middle" class="iconfoot"><img src="images/botmenu_bullet.gif" alt="" /></td>
<td valign="middle" class="abmenu"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>

           </xsl:when>
           <xsl:otherwise>

<td valign="middle" class="iconfoot"><img src="images/botmenu_bullet.gif" alt="" /></td>
<td valign="middle"><a href='{@HREF}'  class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td valign="middle"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
