<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-183 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="100%" background="images/header1.gif" style="background-position:top;background-repeat:repeat-x;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" background="images/header.gif" style="background-position:right top;background-repeat:no-repeat;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="243" valign="bottom"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td> <!-- LOGO --><table width="250" border="0" cellspacing="0" cellpadding="5">
                  <tr>
                    <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                  </tr>
                  <tr>
                    <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                  </tr>
                  <tr>
                    <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                  </tr>
                </table>
                  <!-- END LOGO --></td>
              </tr>
              <tr>
                <td valign="bottom"><table width="100%"  border="0" cellspacing="0" cellpadding="0" height="46">
                  <tr>
                    <td align="right" valign="bottom" height="1"><table width="100%" height="1"  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td  background="images/line.gif" style="background-position:bottom;background-repeat:repeat-x;"><img src="images/bg.gif" width="1" height="1"/></td>
                          <td width="401"  align="right" valign="bottom"><img src="images/line1.gif" width="401" height="1"/></td>
                        </tr>
                    </table></td>
                    <td width="1" align="right" valign="bottom" bgcolor="#FFFFFF"></td>
                  </tr>
                  <tr>
                    <td height="46"><table width="100%"  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td background="images/001.gif" style="background-position:bottom;background-repeat:repeat-x; padding-top:2px;padding-bottom:2px;">
				<!-- MENU -->
                              <table  border="0" align="center" cellpadding="0" cellspacing="0">
                                <tr>
                                  <td width="10" height="42"></td>
                                  <xsl:call-template name="TOP-MENU"/>
                                  <td width="10"></td>
                                </tr>
                              </table>
                              <!-- END MENU --></td>
                        </tr>
                    </table></td>
                    <td bgcolor="#FFFFFF"></td>
                  </tr>
                  <tr>
                    <td valign="top" height="2" ><table width="100%" height="2"  border="0" align="right" cellpadding="0" cellspacing="0">
                        <tr>
                          <td height="2" background="images/003_1.gif" style="background-position:top;background-repeat:repeat-x;"><img src="images/bg.gif" width="1" height="1"/></td>
                          <td width="367" height="2" align="right" valign="top"><img src="images/003.gif" width="367" height="2"/></td>
                        </tr>
                    </table></td>
                    <td height="1" valign="top" bgcolor="#FFFFFF" ></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
            <td width="1"></td>
            <td width="196" valign="bottom"><img src="images/004.gif" width="196" height="2"/></td>
          </tr>
          <tr>
            <td height="100%" valign="top" style="padding:20px;"><!-- CONTENT --><table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
              <tr>
                <td><table  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td><img src="images/005.gif" width="17" height="17"/></td>
                    </tr>
                  </table>
                    <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
              </tr>
            </table><!-- END CONTENT --></td>
            <td width="1" bgcolor="#E0E0E0"><div style="width:1px"></div></td>
            <td width="196" height="100%" valign="top"><table width="196" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td style="padding-top:15px;padding-bottom:15px;">
				<!-- SUBMENU -->
				<table width="168" border="0" cellspacing="0" cellpadding="0">
                 <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

                </table>
				<!-- END SUBMENU -->
				</td>
              </tr>
            </table></td>
          </tr>
          <tr bgcolor="#E0E0E0">
            <td height="1" colspan="3" bgcolor="#E0E0E0"></td>
            </tr>
          <tr valign="top" >
            <td rowspan="4" valign="top" background="images/006.gif" style="background-position:top;background-repeat:repeat-x;padding-bottom:20px;padding-top:1px"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><table width="100%" height="46"  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td background="images/001.gif" style="background-position:bottom;background-repeat:repeat-x;padding-top:2px;padding-bottom:2px;">
					  
					  <!-- BOTTOM MENU -->
                          <table  border="0" align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="8"></td>
                              <xsl:call-template name="BOTTOM-MENU"/>
                              <td width="8"></td>
                            </tr>
                          </table>
                          <!-- END BOTTOM MENU --></td>
                    </tr>
                </table></td>
              <td width="1" bgcolor="#FFFFFF"></td>
              </tr>
              <tr>
                <td height="1" bgcolor="#FFFFFF"></td>
              <td bgcolor="#FFFFFF"></td>
              </tr>
            </table></td>
          <td width="1" valign="top" background="images/006.gif" style="background-position:top;background-repeat:repeat-x;padding-bottom:20px;"></td>
            <td rowspan="4" background="images/006.gif" style="background-position:top;background-repeat:repeat-x;padding-bottom:20px;">
			<!-- FOOTER -->
			<table width="168" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td class="copyright" style="padding-top:15px;"><div align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/> </div></td>
              </tr>
            </table>
			
						<!-- END FOOTER --></td>
          </tr>
          
          
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="s1"><img src="images/007.gif" width="6" height="6"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
<td class="s1"><img src="images/007.gif" width="6" height="6"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td colspan="2"><img src="images/008.gif" width="169" height="20"/></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td class="b1"><img src="images/010.gif" width="8" height="7"/></td>
<td class="b1"><img src="images/009.gif" width="1" height="46"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
