<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-184 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body marginheight="0" style="background-image:url(images/bg.gif);" marginwidth="0" topmargin="0" rightmargin="0" bottommargin="0" leftmargin="0">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image:url(images/bg.gif);">
<tr>
    <td valign="top"><img src="images/001.gif" width="85" height="57"/></td>
    <td background="images/001_2.gif" >
	 <!-- MENU -->
	<table border="0" cellspacing="0" cellpadding="0" align="center">
      <tr>
        <xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
	 <!-- END MENU -->
	</td>
    <td width="90" valign="top"><img src="images/001_1.gif" width="90" height="57"/></td>
  </tr>
<tr>
    <td width="85" valign="top" background="images/002.gif"></td>
  <td background="images/header1.gif" style="background-position:bottom;background-repeat:repeat-x;">
  <table width="100%" height="233"  border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td background="images/header.gif" style="background-position:bottom right;background-repeat:no-repeat;"><table width="100%" height="233"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="19" background="images/header2.gif" style="background-position:bottom right;background-repeat:no-repeat;"></td>
          <td style="padding-left:10px;">
		   <!-- LOGO -->
		  <table width="160" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
            </tr>
            <tr>
              <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
            </tr>
            <tr>
              <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
            </tr>
          </table>
		   <!-- END LOGO -->
		  </td>
        </tr>
      </table></td>
    </tr>
  </table></td>
    <td valign="top" background="images/002_2.gif"></td>
  </tr>
<tr>
    <td valign="top"><img src="images/003.gif" width="85" height="26"/></td>
    <td background="images/003_2.gif"><img src="images/123.gif" width="605" height="1"/></td>
    <td valign="top"><img src="images/003_1.gif" width="90" height="26"/></td>
  </tr><tr>
    <td valign="top" background="images/003_3.gif"><img src="images/003_a.gif" width="85" height="131"/></td>
    <td width="100%" height="100%" valign="top" background="images/003_c.gif" bgcolor="#DFDBD0" style="background-position:top;background-repeat:repeat-x;"><table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="220" valign="top" style="padding-top:10px;padding-bottom:10px;">
		<!-- SUBMENU -->
		<table width="160" border="0" align="center" cellpadding="0" cellspacing="0">
          <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
          
        </table>
		<!-- END SUBMENU -->
		</td>
        <td width="2" background="images/003_9.gif" style="background-repeat:repeat-y;"></td>
        <td valign="top">
		<!-- CONTENT -->
		<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent1">
          <tr>
            <td><table  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td><img src="images/006.gif" width="17" height="17"/></td>
                </tr>
              </table>
                <br/>
     <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table></td>
          </tr>
        </table>
		<!-- END CONTENT -->
		</td>
      </tr>
    </table></td>
    <td valign="top" background="images/003_4.gif"><img src="images/003_b.gif" width="90" height="142"/></td>
  </tr>
<tr>
    <td width="85"><img src="images/003_5.gif" width="85" height="26"/></td>
    <td width="100%" background="images/003_7.gif"><img src="images/123.gif" width="605" height="1"/></td>
    <td width="90"><img src="images/003_6.gif" width="90" height="26"/></td>
  </tr> 

  <tr>
    <td></td>
    <td valign="top" style="padding-top:20;padding-bottom:30px;">
	<table border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td>
		<!-- BOTTOM MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
           <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
		<!-- END BOTTOM MENU -->
		</td>
      </tr>
      <tr><!-- FOOTER -->
        <td class="copyright" style="padding-top:10px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      <!-- END FOOTER --></tr>
    </table></td>
    <td></td>
  </tr>
  
  </table></center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


 <tr>
            <td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td class="s1"><img src="images/005.gif" width="8" height="7"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
            <td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
            <td class="s1"><img src="images/005.gif" width="8" height="7"/></td>
          </tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

 <tr>
    <td height="20" colspan="2"><div style="height:1px; background-repeat: repeat-x;background-image:url(images/004.gif);"><span></span></div></td>
  </tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >


<td class="tmenua"><div align="center"><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div> </td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		   
 <td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>


           </xsl:when>
           <xsl:otherwise>

<td class="tmenua"><div align="center"><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div> </td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		
<td class="b1"><img src="images/007.gif" width="5" height="10"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
